Package org.eclipse.jface.databinding.viewers

# Interface IViewerUpdater<E>

Type Parameters:
  `E` - type of the elements in the updated viewer

public interface IViewerUpdater<E>
A strategy interface for updating the elements in a `StructuredViewer`. Many structured viewer classes have similar methods for adding and removing elements, few of which are defined in common ancestor classes. This interface serves as a universal adapter for updating the elements in a viewer

Since:
  1.3
See Also:
  - `ObservableListContentProvider(IViewerUpdater)`
  - `ObservableSetContentProvider(IViewerUpdater)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(E[] elements)`
Adds the elements to the viewer.
`void`
`insert(E element, int position)`
Insert the element into the viewer at the specified position.
`void`
`move(E element, int oldPosition, int newPosition)`
Moves the specified element from the specified old position to the specified new position.
`void`
`remove(E[] elements)`
Removes the elements from the viewer
`void`
`remove(E element, int position)`
Remove the element from the viewer
`void`
`replace(E oldElement, E newElement, int position)`
Replace the specified element at the given position with the new element.

## Method Details

### insert

void insert(E element, int position)
Insert the element into the viewer at the specified position.

Parameters:
  `element` - the element to add
  `position` - the position of the element

### remove

void remove(E element, int position)
Remove the element from the viewer

Parameters:
  `element` - the element to remove
  `position` - the position of the element

### replace

void replace(E oldElement, E newElement, int position)
Replace the specified element at the given position with the new element.

Parameters:
  `oldElement` - the element being replaced
  `newElement` - the element that replaces `oldElement`
  `position` - the position of the element being replaced.

### move

void move(E element, int oldPosition, int newPosition)
Moves the specified element from the specified old position to the specified new position. No action is taken if the viewer has a sorter or filter(s).

Parameters:
  `element` - the element being moved
  `oldPosition` - the position of the element before it is moved
  `newPosition` - the position of the element after it is moved

### add

void add(E[] elements)
Adds the elements to the viewer.

Parameters:
  `elements` - the elements to add

### remove

void remove(E[] elements)
Removes the elements from the viewer

Parameters:
  `elements` - the elements to remove